Summary
Get graded compliance reports for a node.
Description
Get a set of graded and scored compliance reports for a node.
Route
POST /configuration_manager/compliance_reports/grade
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| treeId |
string |
yes |
- |
| version |
string |
yes |
- |
| options |
object |
yes |
- |
Copied to Clipboard
{
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "v2",
"options": {
"weights": {
"error": 85768591.92878431,
"warning": -2839790.564321369,
"info": 59319003.90141541
},
"nodePath": "base"
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"treeId": {
"title": "treeId",
"$ref": "common#/definitions/mongoObjectId"
},
"version": {
"title": "version",
"$ref": "goldenConfigData#/definitions/goldenConfigTreeVersionName"
},
"options": {
"title": "options",
"allOf": [
{
"$ref": "goldenConfigData#/definitions/reportGradingOptions"
},
{
"type": "object",
"properties": {
"nodePath": {
"title": "nodePath",
"$ref": "goldenConfigData#/definitions/goldenConfigNodePath"
}
}
}
]
}
},
"required": [
"treeId",
"version",
"options"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| graded_compliance_reports |
object |
- |
Copied to Clipboard
[
{
"grade": "pass",
"total": 3700399,
"devices": [
"xr9kv-atl",
"xr9kv-atl"
],
"records": [
{
"deviceName": "xr9kv-atl",
"reportId": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East/Atlanta",
"timestamp": "2019-04-12T14:42:47.958Z",
"score": 14056450.90785575,
"grade": "pass"
},
{
"deviceName": "xr9kv-atl",
"reportId": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East",
"timestamp": "2019-04-12T14:42:47.958Z",
"score": -90372879.38087416,
"grade": "fail"
},
{
"deviceName": "xr9kv-atl",
"reportId": "5c35355dbebaa82eaf8113f0",
"nodePath": "base",
"timestamp": "2019-04-12T14:42:47.958Z",
"score": -32805794.110099778,
"grade": "fail"
},
{
"deviceName": "xr9kv-atl",
"reportId": "5c35355dbebaa82eaf8113f0",
"nodePath": "base",
"timestamp": "2019-04-12T14:42:47.958Z",
"score": 58411009.738939196,
"grade": "review"
},
{
"deviceName": "xr9kv-atl",
"reportId": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East",
"timestamp": "2019-04-12T14:42:47.958Z",
"score": 48872797.72417289,
"grade": "fail"
}
]
},
{
"grade": "review",
"total": 211287,
"devices": [
"xr9kv-atl",
"xr9kv-atl",
"xr9kv-atl",
"xr9kv-atl",
"xr9kv-atl"
],
"records": [
{
"deviceName": "xr9kv-atl",
"reportId": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East/Atlanta",
"timestamp": "2019-04-12T14:42:47.958Z",
"score": -15668012.84359695,
"grade": "review"
},
{
"deviceName": "xr9kv-atl",
"reportId": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East",
"timestamp": "2019-04-12T14:42:47.958Z",
"score": -1225276.7292983085,
"grade": "fail"
},
{
"deviceName": "xr9kv-atl",
"reportId": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East",
"timestamp": "2019-04-12T14:42:47.958Z",
"score": 8091005.828061089,
"grade": "pass"
},
{
"deviceName": "xr9kv-atl",
"reportId": "5c35355dbebaa82eaf8113f0",
"nodePath": "base",
"timestamp": "2019-04-12T14:42:47.958Z",
"score": -23684637.414417505,
"grade": "review"
}
]
},
{
"grade": "review",
"total": 63293471,
"devices": [
"xr9kv-atl",
"xr9kv-atl",
"xr9kv-atl"
],
"records": [
{
"deviceName": "xr9kv-atl",
"reportId": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East",
"timestamp": "2019-04-12T14:42:47.958Z",
"score": 24711803.947999746,
"grade": "review"
},
{
"deviceName": "xr9kv-atl",
"reportId": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East",
"timestamp": "2019-04-12T14:42:47.958Z",
"score": -63262961.81346001,
"grade": "fail"
},
{
"deviceName": "xr9kv-atl",
"reportId": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East",
"timestamp": "2019-04-12T14:42:47.958Z",
"score": 87110087.44627723,
"grade": "fail"
},
{
"deviceName": "xr9kv-atl",
"reportId": "5c35355dbebaa82eaf8113f0",
"nodePath": "base",
"timestamp": "2019-04-12T14:42:47.958Z",
"score": -19736926.45740895,
"grade": "fail"
}
]
}
]
Copied to Clipboard
{
"title": "graded_compliance_reports",
"type": "array",
"items": {
"type": "object",
"properties": {
"grade": {
"type": "string",
"examples": [
"pass",
"review",
"fail"
]
},
"total": {
"type": "integer",
"minimum": 0
},
"devices": {
"type": "array",
"items": {
"$ref": "deviceData#/definitions/deviceName"
}
},
"records": {
"type": "array",
"items": {
"type": "object",
"properties": {
"deviceName": {
"$ref": "deviceData#/definitions/deviceName"
},
"reportId": {
"$ref": "common#/definitions/mongoObjectId"
},
"nodePath": {
"title": "nodePath",
"$ref": "goldenConfigData#/definitions/goldenConfigNodePath"
},
"timestamp": {
"$ref": "common#/definitions/timestamp"
},
"score": {
"type": "number"
},
"grade": {
"type": "string",
"examples": [
"pass",
"review",
"fail"
]
}
}
}
}
}
}
}